{% extends 'master/master.html' %} {% block content %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
<div class="container-fluid">
    <div class="row">

        <div class="col-lg-6 vh-100">

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 style="text-align: center;">{{user.username}}</h4>
                </div>
                <div class="panel-body">
                    <div class="col-sm-5 col-xs-6 title ">First Name:</div>
                    <div class="col-sm-7 col-xs-6 ">{{user.first_name}}</div>
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>

                    <div class="col-sm-5 col-xs-6 title ">Last Name:</div>
                    <div class="col-sm-7">{{user.last_name}}</div>
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>
                    {% if order %}
                    <div class="col-sm-5 col-xs-6 title ">Address:</div>
                    <div class="col-sm-7">{{order.0.address}}</div>
                    {% endif %}
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>
                    {% if order %}
                    <div class="col-sm-5 col-xs-6 title ">Contact Number</div>
                    <div class="col-sm-7">{{order.0.phone}}</div>
                    {% endif %}
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>

                    <div class="col-sm-5 col-xs-6 title ">Email:</div>
                    <div class="col-sm-7">{{user.email}}</div>
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>

                    <div class="col-sm-5 col-xs-6 title ">Date of Joining:</div>
                    <div class="col-sm-7">{{user.date_joined}}</div>
                    <div class="clearfix"></div>
                    <div class="bot-border"></div>
                </div>

            </div>

        </div>
        <div class="col-lg-6 vh-100">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 style="text-align:center">Transaction History</h3>
                </div>
                <table class="table align-middle mb-0 bg-white">
                    <thead class="bg-white">
                        <tr>
                            <th>SN</th>
                            <th>Product Name</th>
                            <th>Payment Method</th>
                            <th>Quantity</th>
                            <th>Amount</th>
                            <th>Order Status</th>
                            <th>Date</th>
        
                            
                       </tr>
                    </thead>
                    <tbody>
                        {% for item in orderitem %}
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td>
                                <p class="fw-bold mb-1">{{item.product}}</p>
                            </td>
                            <td>
                                <p class="fw-normal mb-1">{{item.order.payment_method}}</p>
                            </td>
                            <td>
                                <span class="badge badge-success rounded-pill d-inline">{{item.quantity}}</span>
                            </td>
                            <td>{{item.total}}</td>
                            <td>{{item.order.order_status}}</td>
                            <td>
                                {{item.order.date}}
                            </td>
                            

                        </tr>
                        {% endfor %}
                      
                    </tbody>
                </table>
            </div>
            <div class="pagination ">
                {% if orderitem.has_next %}
                <div class="text-center">
                    <a href="?page={{ orderitem.next_page_number }}" class="btn btn-primary">Show More</a> {% endif %} {% if orderitem.has_previous %}

                    <a href="?page={{ orderitem.previous_page_number }}" class="btn btn-primary ">Previous</a>
                </div>
                {% endif %}
            </div>
        </div>

    </div>
</div>




{% endblock %}